Bug 98655 - minicom cannot use zmodem to send files with spaces in their names
minicom cannot use zmodem to send files with spaces in their names
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: minicom (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Miroslav Lichvar
Brock Organ
:
: 98656 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-06 17:11 EDT by David Costanzo
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-09 07:24:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Costanzo 2003-07-06 17:11:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030312

Description of problem:
When minicom is told to send files using an external application, such as "sz",
it writes a command-line into a buffer and execs the buffer.

minicom does not escape the filenames in any way, so when fastexec() tokenizes
the command-line, it breaks the filename at the spaces.  sz then complains that
the files do not exist (or sends them, if the happen to exist).

Version-Release number of selected component (if applicable):
minicom-2.00.0-12

How reproducible:
Always

Steps to Reproduce:
1.Create a one-byte file named "filename with spaces"
2.Run minicom
3.Press ALT+A - S to send the file.


Actual Results:  sz complains that it can't send "filename" or "with" or
"spaces" because there is no such file or directory.

Expected Results:  It should have sent the file "filename with spaces".

Additional info:

Make sure that the file contains at least one byte.  My console gets wedged when
I try to send zero-byte files.  I don't know if this is a problem with sz, rz,
or minicom.
Comment 1 Eido Inoue 2003-08-01 18:30:18 EDT
*** Bug 98656 has been marked as a duplicate of this bug. ***
Comment 2 Bill Nottingham 2006-08-05 01:07:55 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 3 David Costanzo 2006-08-05 23:58:35 EDT
I'm sorry, I am no longer an embedded programmer and I don't have the setup to
determine if this bug still exists in FC 5.  Still, this bug, and the one that
was marked as a duplicate of this bug, have pretty good repro steps, so the
owner of minicom should be able to quickly determine if this bug still exists.
Comment 4 Miroslav Lichvar 2007-03-09 07:24:11 EST
Fixed in minicom-2.2-1.fc7.

Note You need to log in before you can comment on or make changes to this bug.